
server {
    listen 443 ssl backlog=81920; 

    server_name webserver:443;


    ssl_certificate /etc/pki/tls/certs/localhost.crt;       

    ssl_certificate_key /etc/pki/tls/private/localhost.key;   

    ssl_session_cache shared:SSL:1m;

    ssl_session_timeout 5m;

   ssl_protocols SSLv3 TLSv1 TLSv1.1 TLSv1.2;  
# ssl_protocols TLSv1.2;
    ssl_ciphers ALL:!ADH:!EXPORT:!SSLv2:RC4+RSA:+HIGH:+MEDIUM:+LOW;   


    ssl_prefer_server_ciphers on;

    location / {

        root /var/www/html;

        index index.html index.htm index.php;

    }

    location ~ .*.(html|htm|gif|jpg|jpeg|bmp|png|ico|txt|js|css)$ {

        root /var/www/html;

        expires 100d;

    }

    location ~ ^/images/ {

        root /var/www/html/support;

        expires 100d;

    }

    location ~ .php$ {

        root html;

        fastcgi_pass fastcgi_backend;   # fastcgi_pass unix:/var/run/php/php7.4-fpm.sock; 

        fastcgi_keep_conn on;

        fastcgi_index index.php;

        fastcgi_param SCRIPT_FILENAME /var/www/html$fastcgi_script_name;

        include fastcgi_params;   # include snippets/fastcgi-php.conf;

    }

}
